

const require_GenericRecordsRepository = require('./repository/GenericRecordsRepository.js');
const require_GenericRecordService = require('./services/GenericRecordService.js');
const require_GenericRecordsApi = require('./GenericRecordsApi.js');

//#region src/modules/generic-records/GenericRecordsModule.ts
var GenericRecordsModule = class {
	constructor() {
		this.api = require_GenericRecordsApi.GenericRecordsApi;
	}
	/**
	* Registers the dependencies of the generic records module on the dependency manager.
	*/
	register(dependencyManager) {
		dependencyManager.registerSingleton(require_GenericRecordService.GenericRecordService);
		dependencyManager.registerSingleton(require_GenericRecordsRepository.GenericRecordsRepository);
	}
};

//#endregion
exports.GenericRecordsModule = GenericRecordsModule;